Get notification group

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /notification-groups/{notificationGroupId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • notificationGroupId string(uuid) Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • modelId integer(int64)
    • notificationGroupType string

      Values are CHECKLIST, DELAY_ANALYSIS, EXPORT, IMPORT, INTEGRATION, PERCENT_COMPLETE, or SCHEDULE_REVIEW.

    • createdOn string(date-time)
    • id string(uuid)
    • projectId integer(int64)
    • scenarioId integer(int64)
    • createdByUserId string(uuid)
GET /notification-groups/{notificationGroupId}
curl \
 --request GET 'https://live.smartpmtech.com/notification-groups/{notificationGroupId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "modelId": 42,
  "notificationGroupType": "CHECKLIST",
  "createdOn": "2026-05-04T09:42:00Z",
  "id": "string",
  "projectId": 42,
  "scenarioId": 42,
  "createdByUserId": "string"
}